# Update payment intent (Financial)

Update an existing Stripe payment intent. Requires tenant context for Stripe API key. FINANCIAL OPERATION - handle with care. Replaces PUT /purchase/payment-intent/{paymentIntentId}

Endpoint: PUT /purchases/payment-intents/{paymentIntentId}
Version: 2.0.59
Security: projectKey

## Security:

  - `projectKey` (unknown)
    apiKey in header x-project-key

## Path parameters:

  - `paymentIntentId` (string, required)

## Request fields (application/json):

  - `amount` (number, required)
    Amount in cents

  - `currency` (string, required)
    Currency

  - `receiptEmail` (string, required)
    Receipt Email

  - `description` (string)
    Description

## Response 200:

  - `200` (unknown)
    Payment intent updated successfully

## Response 200 fields (application/json):

  - `paymentClientSecret` (object, required)
    Payment Intent ClientSecrete to complete Stripe payment

  - `paymentIntentId` (string, required)
    Payment Intent Id

